classification
Title: test_gdb leaves the terminal in raw mode with gdb 7.8.1
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: dmalcolm, xdegaye
Priority: normal Keywords: patch

Created on 2014-12-03 23:50 by xdegaye, last changed 2019-04-13 18:50 by xdegaye. This issue is now closed.

Files
File name Uploaded Description Edit
gdbmi.patch xdegaye, 2014-12-03 23:50 review
gdbmi_2.patch xdegaye, 2014-12-04 18:50 review
Messages (2)
msg232099 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2014-12-03 23:50
This happens on archlinux. Annoying: the terminal becomes unusable unless you type blindly 'stty sane <CTL-J>', and the backspace key is still wrong.
This does not happen with gdb 7.6.1.
And this does not happen when running gdb with the 'mi' interpreter. The attached patch uses GDB/MI.
The problem with using the GDB/MI interface, is that it is very verbose when trying to debug a test.
msg232147 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2014-12-04 18:50
The previous patch failed many tests, sorry.
The attached patch runs successfully test_gdb using gdb/mi.
All the changes that were made in the test cases themselves, remove either a terminating new line or terminating white spaces in the assertion check.
History
Date User Action Args
2019-04-13 18:50:29xdegayesetstatus: open -> closed
resolution: out of date
stage: resolved
2014-12-04 18:50:27xdegayesetfiles: + gdbmi_2.patch

messages: + msg232147
2014-12-04 01:34:28ned.deilysetnosy: + dmalcolm
2014-12-03 23:50:32xdegayecreate